import { defineMock } from "./base";

export default defineMock([
  {
    url: "menus/routes",
    method: ["GET"],
    body: {
      code: "00000",
      data: [
        // {
        //   path: "/outpatient-emergency",
        //   component: "Layout",
        //   name: "/outpatient-emergency",
        //   meta: {
        //     title: "医生门急诊工作站",
        //     icon: "cascader",
        //     hidden: false,
        //     alwaysShow: true,
        //     params: null,
        //   },
        //   children: [
        //     {
        //       path: "index",
        //       component: "outpatient-emergency/index",
        //       name: "OutpatientEmergencyIndex",
        //       meta: {
        //         title: "index",
        //         icon: "",
        //         hidden: false,
        //         alwaysShow: false,
        //         params: null,
        //       },
        //       children: [
        //         {
        //           path: "outpatient-emergency-EMR",
        //           component:
        //             "outpatient-emergency/sub-items/outpatient-emergency-EMR",
        //           name: "OutpatientEmergencyEMR",
        //           meta: {
        //             title: "门诊病历",
        //             icon: "",
        //             hidden: false,
        //             alwaysShow: true,
        //             params: null,
        //           },
        //         },
        //         {
        //           path: "outpatient-diagnosis",
        //           component:
        //             "outpatient-emergency/sub-items/outpatient-diagnosis",
        //           name: "OutpatientDiagnosis",
        //           meta: {
        //             title: "门诊诊断",
        //             icon: "",
        //             hidden: false,
        //             alwaysShow: true,
        //             params: null,
        //           },
        //         },
        //       ],
        //     },
        //   ],
        // },
        {
          path: "/outpatient-emergency",
          component: "Layout",
          name: "/outpatient-emergency",
          meta: {
            title: "医生门急诊工作站",
            icon: "cascader",
            hidden: false,
            alwaysShow: true,
            params: null,
          },
          children: [
            {
              path: "index",
              component: "outpatient-emergency/index",
              meta: {
                alwaysShow: true,
                hidden: false,
              },
              children: [
                {
                  path: "outpatient-emergency-EMR",
                  component:
                    "outpatient-emergency/sub-items/outpatient-emergency-EMR",
                  name: "OutpatientEmergencyEMR",
                  meta: {
                    title: "门诊病历",
                    hidden: false,
                  },
                },
                {
                  path: "outpatient-diagnosis",
                  component:
                    "outpatient-emergency/sub-items/outpatient-diagnosis",
                  name: "OutpatientDiagnosis",
                  meta: {
                    title: "门诊诊断",
                    hidden: false,
                  },
                },
                {
                  path: "prescription",
                  component: "outpatient-emergency/sub-items/prescription",
                  name: "Prescription",
                  meta: {
                    title: "处方管理",
                    hidden: false,
                  },
                },
                {
                  path: "examination-request-form",
                  component:
                    "outpatient-emergency/sub-items/examination-request-form",
                  name: "OutpatientExaminationRequestForm",
                  meta: {
                    title: "检查申请单",
                    hidden: false,
                  },
                },
              ],
            },
          ],
        },
        {
          path: "/residency",
          component: "Layout",
          name: "/residency",
          meta: {
            title: "医生住院工作站",
            icon: "cascader",
            hidden: false,
            alwaysShow: true,
            params: null,
          },
          children: [
            {
              path: "index",
              component: "residency/index",
              meta: {
                alwaysShow: true,
                hidden: false,
              },
              children: [
                {
                  path: "select-patient",
                  component: "residency/sub-items/select-patient",
                  name: "SelectPatient",
                  meta: {
                    title: "选择病人",
                    hidden: false,
                  },
                },
                {
                  path: "residence-instructions",
                  component: "residency/sub-items/residence-instructions",
                  name: "ResidenceInstructions",
                  meta: {
                    title: "住院医嘱",
                    hidden: false,
                  },
                },
                {
                  path: "hospitalization-diagnosis",
                  component: "residency/sub-items/diagnostic-surgery",
                  name: "DiagnosticSurgery",
                  meta: {
                    title: "诊断手术",
                    hidden: false,
                  },
                },
                {
                  path: "examination-request-form",
                  component: "residency/sub-items/examination-request-form",
                  name: "ResidencyExaminationRequestForm",
                  meta: {
                    title: "检查申请单",
                    hidden: false,
                  },
                },
                {
                  path: "printing-of-doctor-order-form",
                  component:
                    "residency/sub-items/printing-of-doctor-order-form",
                  name: "PrintingOfDoctorOrderForm",
                  meta: {
                    title: "医嘱单打印",
                    hidden: false,
                  },
                },
              ],
            },
          ],
        },
      ],
      msg: "一切ok",
    },
  },
]);
